/**
 * @template [T=any]
 * @extends {BaseNode<T>}
 */
export class CPUNode<T = any> extends BaseNode<T> {
    /**
     * @param {Lantern.TraceEvent} parentEvent
     * @param {Lantern.TraceEvent[]=} childEvents
     * @param {number=} correctedEndTs
     */
    constructor(parentEvent: Lantern.TraceEvent, childEvents?: Lantern.TraceEvent[] | undefined, correctedEndTs?: number | undefined);
    _event: Lantern.TraceEvent;
    _childEvents: Lantern.TraceEvent[];
    _correctedEndTs: number | undefined;
    get type(): "cpu";
    /**
     * @return {number}
     */
    get duration(): number;
    /**
     * @return {Lantern.TraceEvent}
     */
    get event(): Lantern.TraceEvent;
    /**
     * @return {Lantern.TraceEvent[]}
     */
    get childEvents(): Lantern.TraceEvent[];
    /**
     * Returns true if this node contains a Layout task.
     * @return {boolean}
     */
    didPerformLayout(): boolean;
    /**
     * Returns the script URLs that had their EvaluateScript events occur in this task.
     */
    getEvaluateScriptURLs(): Set<string>;
    /**
     * @return {CPUNode}
     */
    cloneWithoutRelationships(): CPUNode;
}
import { BaseNode } from './base-node.js';
import * as Lantern from './types/lantern.js';
//# sourceMappingURL=cpu-node.d.ts.map