export type Node = import('../base-node.js').Node;
/** @typedef {import('../base-node.js').Node} Node */
export class LargestContentfulPaint extends Metric {
    /**
     * Low priority image nodes are usually offscreen and very unlikely to be the
     * resource that is required for LCP. Our LCP graphs include everything except for these images.
     *
     * @param {Node} node
     * @return {boolean}
     */
    static isNotLowPriorityImageNode(node: Node): boolean;
    /**
     * @param {Lantern.Simulation.Result} simulationResult
     * @return {Lantern.Simulation.Result}
     */
    static getEstimateFromSimulation(simulationResult: Lantern.Simulation.Result): Lantern.Simulation.Result;
}
import { Metric } from '../metric.js';
import * as Lantern from '../types/lantern.js';
//# sourceMappingURL=largest-contentful-paint.d.ts.map