export type Node = import('../base-node.js').Node;
/** @typedef {import('../base-node.js').Node} Node */
export class MaxPotentialFID extends Metric {
    /**
     * @param {Node} dependencyGraph
     * @return {Node}
     */
    static getOptimisticGraph(dependencyGraph: Node): Node;
    /**
     * @param {Node} dependencyGraph
     * @return {Node}
     */
    static getPessimisticGraph(dependencyGraph: Node): Node;
    /**
     * @param {Lantern.Simulation.Result['nodeTimings']} nodeTimings
     * @param {number} fcpTimeInMs
     * @return {Array<{duration: number}>}
     */
    static getTimingsAfterFCP(nodeTimings: Lantern.Simulation.Result['nodeTimings'], fcpTimeInMs: number): Array<{
        duration: number;
    }>;
}
import { Metric } from '../metric.js';
import * as Lantern from '../types/lantern.js';
//# sourceMappingURL=max-potential-fid.d.ts.map