export type Node = import('../base-node.js').Node;
/** @typedef {import('../base-node.js').Node} Node */
export class TotalBlockingTime extends Metric {
    /**
     * @param {Node} dependencyGraph
     * @return {Node}
     */
    static getOptimisticGraph(dependencyGraph: Node): Node;
    /**
     * @param {Node} dependencyGraph
     * @return {Node}
     */
    static getPessimisticGraph(dependencyGraph: Node): Node;
    /**
     * @param {Lantern.Simulation.Result['nodeTimings']} nodeTimings
     * @param {number} minDurationMs
     */
    static getTopLevelEvents(nodeTimings: Lantern.Simulation.Result['nodeTimings'], minDurationMs: number): {
        start: number;
        end: number;
        duration: number;
    }[];
}
import { Metric } from '../metric.js';
import * as Lantern from '../types/lantern.js';
//# sourceMappingURL=total-blocking-time.d.ts.map